coturn (4.5.0.7-1ubuntu2.18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Unsafe loopback interface
    - debian/patches/CVE-2020-26262.patch: Add check if address is in
      0.0.0.0/8 or ::/128.
    - CVE-2020-26262

 -- Mészáros Mihály <misi@majd.eu>  Mon, 14 Dec 2020 14:50:15 +0100

coturn (4.5.0.7-1ubuntu2.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap-buffer overflow in HTTP POST request
    - debian/patches/CVE-2020-6061.patch: Fix overflow
    - CVE-2020-6061
  * SECURITY UPDATE: DoS when parsing certain HTTP POST request
    - debian/patches/CVE-2020-6062.patch: Fix parsing of POST requests
    - CVE-2020-6062
  * SECURITY UPDATE: Information leak between different client connections
    - debian/patches/CVE-2020-4067.patch: initialize with zero any new or
      reused stun buffers
    - CVE-2020-4067

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Thu, 02 Jul 2020 12:49:53 -0300

coturn (4.5.0.7-1ubuntu2.18.04.1) bionic-security; urgency=medium

  * [1328ae1] HotFix: for 3 Vulnerability.
    For more details see:
    - CVE-2018-4056 - coTURN Administrator Web Portal SQL injection vulnerability
    - CVE-2018-4058 - coTURN TURN server unsafe loopback forwarding default configuration vulnerability
    - CVE-2018-4059 - coTURN server unsafe telnet admin portal default configuration vulnerability
    These patches address hotfix the 3 CVE above.
    * Disable-Web-admin-interface-due-Security-Vulnerability.patch
    It disables hardcocded web admin interface until 4.5.1.0 where it will be fixed correctly.
    * Disable-loopback-peers-due-Vulnerability.patch
    Disable by default loopback-peer functionality.
    * empty-cli-password-not-allowed-disable-telnet-cli.patch
    Disable telnet cli if the cli-password is empty.

 -- Mészáros Mihály <misi@majd.eu>  Wed, 06 Feb 2019 14:56:38 +0100

coturn (4.5.0.7-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:30 +0000

coturn (4.5.0.7-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Dont run the testsuite on armhf for now as random segfaults occur on a
      clean chroot.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 12 Dec 2017 21:59:23 +0530

coturn (4.5.0.7-1) unstable; urgency=medium

  * Sync to upstream 4.5.0.7

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 10 Dec 2017 20:08:06 -0800

coturn (4.5.0.6-1ubuntu2) artful; urgency=medium

  * No-change rebuild against libevent-core-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 01:27:29 +0000

coturn (4.5.0.6-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Dont run the testsuite on armhf for now as its unstable.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 06 Jun 2017 10:45:30 +0530

coturn (4.5.0.6-1) unstable; urgency=medium

  * Incompatibility with BoringSSL fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 26 Mar 2017 22:09:04 -0700

coturn (4.5.0.5-1ubuntu1) zesty; urgency=medium

  * Disable autotests on armhf for now as tests segfault (when tried
    multiple times).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 21 Mar 2017 12:07:36 +0530

coturn (4.5.0.5-1) unstable; urgency=medium

  * Sync to upstream 4.5.0.5

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 16 Oct 2016 23:38:04 -0700

coturn (4.5.0.4-4) unstable; urgency=medium

  * trying to fix piuparts report

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 23 Aug 2016 22:03:18 -0700

coturn (4.5.0.4-3) unstable; urgency=medium

  * trying to fix piuparts report

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 22 Aug 2016 23:56:49 -0700

coturn (4.5.0.4-2) unstable; urgency=medium

  * Debian Policy upgraded to 3.9.8

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 22 Aug 2016 01:32:39 -0700

coturn (4.5.0.4-1) unstable; urgency=medium

  * OpenSSL compatibility (closes: #828271)

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 22 Aug 2016 00:10:03 -0700

coturn (4.5.0.3-1) unstable; urgency=medium

  * SSLv3 support removed, closes: #804440

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 15 Nov 2015 23:38:46 -0800

coturn (4.5.0.2-3) unstable; urgency=medium

  * Telnet package dependency fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Fri, 02 Oct 2015 23:47:29 -0700

coturn (4.5.0.2-1) unstable; urgency=medium

  * DTLS segfault fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 30 Sep 2015 00:25:00 -0700

coturn (4.5.0.1-5) unstable; urgency=medium

  * Package for Sid

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 28 Sep 2015 00:17:13 -0700

coturn (4.5.0.1-4) unstable; urgency=medium

  * Copyright fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 26 Sep 2015 20:55:13 -0700

coturn (4.5.0.1-3) unstable; urgency=medium

  * Typo fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 26 Sep 2015 18:06:31 -0700

coturn (4.5.0.1-2) unstable; urgency=medium

  * Specs adjusted

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 26 Sep 2015 15:03:38 -0700

coturn (4.5.0.1-1) unstable; urgency=low

  * Sync to upstream 4.5.0.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 20 Sep 2015 21:58:30 -0700

coturn (4.4.5.4-2) unstable; urgency=low

  * Github migration

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 19 Jul 2015 14:10:51 -0700

coturn (4.4.5.4-1) unstable; urgency=low

  * Migrated to Github

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 19 Jul 2015 14:00:45 -0700

coturn (4.4.5.3-1) unstable; urgency=low

  * sync to 4.4.5.3: security fix

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 28 Jun 2015 20:35:15 -0700

coturn (4.4.5.2-1) unstable; urgency=low

  * Sync to upstream 4.4.5.2

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 06 Jun 2015 01:07:27 -0700

coturn (4.4.5.1-1) unstable; urgency=low

  * Sync to 4.4.5.1 upstream

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 27 May 2015 00:17:29 -0700

coturn (4.4.4.2-1) unstable; urgency=low

  * SCTP fixes.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 05 Apr 2015 21:24:55 -0700

coturn (4.4.4.1-2) unstable; urgency=low

  * sctp example script added to install

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 23 Mar 2015 23:44:00 -0700

coturn (4.4.4.1-1) unstable; urgency=low

  * Sync to 4.4.4.1: SCTP support and encrypted admin passwords support.

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 23 Mar 2015 23:28:25 -0700

coturn (4.4.2.3-1) unstable; urgency=low

  * Sync to upstream 4.4.2.3

 -- Oleg Moskalenko <mom040267@gmail.com>  Thu, 05 Mar 2015 23:33:39 -0800

coturn (4.4.2.2-1) unstable; urgency=low

  * Sync to upstream 4.4.2.2: SQLite db schema bug fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 22 Feb 2015 21:14:19 -0800

coturn (4.4.2.1-1) unstable; urgency=low

  * Sync to the new upstream version: updated according to the new draft
    specs; bug fixes.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 08 Feb 2015 13:04:20 -0800

coturn (4.4.1.2-1) unstable; urgency=low

  * Sync to 4.4.1.2 upstream

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 01 Feb 2015 20:43:30 -0800

coturn (4.4.1.1-2) unstable; urgency=low

  * source control info fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Fri, 30 Jan 2015 22:34:46 -0800

coturn (4.4.1.1-1) unstable; urgency=low

  * Sync to 4.4.1.1: security fixes; https web admin connection.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 25 Jan 2015 01:50:44 -0800

coturn (4.3.3.1-1) unstable; urgency=low

  * Sync to 4.3.3.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 24 Dec 2014 00:50:38 -0800

coturn (4.3.2.2-1) unstable; urgency=low

  * Sync to 4.3.2.2

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 14 Dec 2014 22:06:24 -0800

coturn (4.3.2.1-1) unstable; urgency=low

  * Sync to upstream 4.3.2.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 14 Dec 2014 21:42:37 -0800

coturn (4.3.1.3-1) unstable; urgency=low

  * Sync to 4.3.1.3: a maintenance build.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 07 Dec 2014 22:50:45 -0800

coturn (4.3.1.2-1) unstable; urgency=low

  * Sync to 4.3.1.2: SQLite DB installation fixed.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 23 Nov 2014 13:38:11 -0800

coturn (4.3.1.1-1) unstable; urgency=low

  * Sync to 4.3.1.1: SQLite support added.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 23 Nov 2014 00:15:03 -0800

coturn (4.2.3.1-1) unstable; urgency=low

  * Sync to 4.2.3.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 09 Nov 2014 22:56:18 -0800

coturn (4.2.2.2-1) unstable; urgency=low

  * 1) Sync to 4.2.2.2; 2) UFW definitions added to the debian package.

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 29 Oct 2014 23:49:49 -0700

coturn (4.2.1.2-1) unstable; urgency=low

  * Sync to upstream 4.2.1.2 version: the oAuth support added.

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 13 Oct 2014 00:52:06 -0700

coturn (4.1.2.1-3) unstable; urgency=low

  * List of supported specs extended.

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 02 Sep 2014 22:57:32 -0700

coturn (4.1.2.1-2) unstable; urgency=low

  * SVN source control tags changed to GIT

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 02 Sep 2014 22:23:55 -0700

coturn (4.1.2.1-1) unstable; urgency=low

  * Sync to upstream 4.1.2.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 20 Aug 2014 22:23:56 -0700

coturn (4.1.1.1-1) unstable; urgency=low

  * Sync to upstream 4.1.1.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Thu, 31 Jul 2014 00:55:33 -0700

coturn (4.1.0.2-1) unstable; urgency=low

  * Sync to upstream 4.1.0.2

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 22 Jul 2014 13:23:09 -0700

coturn (4.1.0.1-1) unstable; urgency=low

  * Sync to upstream 4.1.0.1: SSODA support, bug fixes.

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 22 Jul 2014 08:46:21 -0700

coturn (4.0.1.3-1) unstable; urgency=low

  * Sync to upstream 4.0.1.3

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 21 Jun 2014 00:00:39 -0700

coturn (4.0.1.2-1) unstable; urgency=low

  * Sync to upstream 4.0.1.2: Bandwidth specs implemented.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 07 Jun 2014 00:07:45 -0700

coturn (4.0.0.2-1) unstable; urgency=low

  * Sync to upstream 4.0.0.2.
  * Package description in the control file updated.

 -- Oleg Moskalenko <mom040267@gmail.com>  Fri, 23 May 2014 23:20:39 -0700

coturn (4.0.0.1-1) unstable; urgency=low

  * New upstream release.
  * Kernel channels definitions added.

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 07 May 2014 23:28:04 -0700

coturn (4.0.0.0-1) unstable; urgency=low

  * Initial Debian release (Closes: #747010)

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 07 May 2014 21:33:36 +0200

